@echo off
setlocal enabledelayedexpansion

set "bin_path=out\s100"

if "%~1" == "" (
    echo Usage: %~nx0 MCU_IMAGE_NAME
    exit
)

set "mcu_bin=%~1%"

echo ------------ start download sbl ------------
dfu-util -d,3652:6610 -a 0 -D "%bin_path%\cmd_load_sbl"
dfu-util -d,3652:6610 -a 0 -D "%bin_path%\sbl.pkg"
dfu-util -d,3652:6610 -a 0 -D "%bin_path%\cmd_exit_sbl"
echo waiting for sbl start...
ping -n 5 127.0.0.1 >nul


echo ------------ start download spl ------------
dfu-util -d,3652:6620 -a 0 -D "%bin_path%\u-boot-spl_ddr.bin" -R
echo waiting for spl start...
ping -n 3 127.0.0.1 >nul

echo ------------ start download mcu ------------
dfu-util -d,3652:6620 -a 0 -D "%bin_path%\%mcu_bin%" -R
echo waiting for mcu start...
ping -n 20 127.0.0.1 >nul

echo ------------ start download bl31 optee uboot ------------
dfu-util -d,3652:6625 -a 0 -D "%bin_path%\hobot-s100-bl31.dtb"
dfu-util -d,3652:6625 -a 1 -D "%bin_path%\bl31.bin"
dfu-util -d,3652:6625 -a 2 -D "%bin_path%\tee-pager_v2.bin"
dfu-util -d,3652:6625 -a 3 -D "%bin_path%\u-boot.bin" -R

echo ------------ download all success, start uboot... ------------

:end
endlocal
